# Containerised OWA

Run OWA in a Docker, Docker Swarm, or Kubernetes environment.

This setup assumes a database on a separate host - to use a containerised database add that to your compose/stack/manifest and ensure the configuration mount is correct for your environment.

## Versions

This repo provides one nginx and one php-fpm container, both are required to run OWA.  Ensure that both the nginx and php-fpm container are of the same version to avoid incomatibilities.

## php-fpm

Configure the database connection and OWA config with environment variables passed to the php-fpm container.

|Variable|Value|
|OWA_DB_TYPE|mysql|
|OWA_DB_NAME|Name of the database|
|OWA_DB_HOST|Host/IP of the database server|
|OWA_DB_USER|Username for the database|
|OWA_DB_PASS|Password for the user|
|OWA_PUBLIC_URL|Public URL for the OWA installation|
|OWA_SITE_ID|Site ID|